import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { PrintArgs } from '../types/PrintArgs';
export type PrintInstructionArgs = {
    printArgs: PrintArgs;
};
export declare const PrintStruct: beet.FixableBeetArgsStruct<PrintInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type PrintInstructionAccounts = {
    editionMetadata: web3.PublicKey;
    edition: web3.PublicKey;
    editionMint: web3.PublicKey;
    editionTokenAccountOwner: web3.PublicKey;
    editionTokenAccount: web3.PublicKey;
    editionMintAuthority: web3.PublicKey;
    editionTokenRecord?: web3.PublicKey;
    masterEdition: web3.PublicKey;
    editionMarkerPda: web3.PublicKey;
    payer: web3.PublicKey;
    masterTokenAccountOwner: web3.PublicKey;
    masterTokenAccount: web3.PublicKey;
    masterMetadata: web3.PublicKey;
    updateAuthority: web3.PublicKey;
    splTokenProgram: web3.PublicKey;
    splAtaProgram: web3.PublicKey;
    sysvarInstructions: web3.PublicKey;
    systemProgram?: web3.PublicKey;
};
export declare const printInstructionDiscriminator = 55;
export declare function createPrintInstruction(accounts: PrintInstructionAccounts, args: PrintInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
